- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher Class Reference

Inheritance diagram for Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Rtapi::ME::ME_dispatcher:

[legend]
List of all members.

## Public Member Functions
| ME_dispatcher (Mers::Executives::DeductiveController::Rtapi::ThreadSafeObjectQueue *queue, Mers::Estimation::Discrete::ME_connection *syst, Mers::Executives::DeductiveController::Rtapi::RTAPICallback *inrep)
virtual | ~ME_dispatcher ()
## Protected Member Functions
int | parse_msg (Mers::Executives::DeductiveController::Rtapi::RTAPIMessage *msg)
virtual void * | run ()
## Static Protected Member Functions
static void | cleanup_reporting (void *arg)
## Protected Attributes
Mers::Executives::DeductiveController::Rtapi::RTAPICallback * | meCallback
Mers::Executives::DeductiveController::Rtapi::ThreadSafeObjectQueue * | thequeue
Mers::Estimation::Discrete::ME_connection * | thesystem

## Detailed Description

Definition at line 40 of file ME_dispatcher.h.

## Constructor & Destructor Documentation

ME_dispatcher::ME_dispatcher | ( | Mers::Executives::DeductiveController::Rtapi::ThreadSafeObjectQueue * | queue,
|  | Mers::Estimation::Discrete::ME_connection * | syst,
|  | Mers::Executives::DeductiveController::Rtapi::RTAPICallback * | inrep |
| ) |  |  |

This constructor initializes the dispatcher thread and gets references to the report function, queue and the Livingstone system.

Definition at line 38 of file ME_dispatcher.cpp.

References Mers::Utils::Lang::ReferencedObject::addReference(), Mers::Executives::DeductiveController::Rtapi::MultiThreadedObject::start(), and thequeue.

Here is the call graph for this function:

## Member Function Documentation

THREAD_RETURN ME_dispatcher::run | ( |  | ) | `[protected, virtual]`

this function is called by the newly spawned thread when the the start() function is called. This function should not return until the new thread is finished running

Returns:
  the return status of the run

Implements Mers::Executives::DeductiveController::Rtapi::MultiThreadedObject.

Definition at line 124 of file ME_dispatcher.cpp.

References Mers::Executives::DeductiveController::Rtapi::ThreadSafeObjectQueue::dequeue(), Mers::Executives::DeductiveController::Rtapi::MultiThreadedObject::m_ThreadIsRunning, parse_msg(), and thequeue.

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/ME/ME_dispatcher.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/ME/ME_dispatcher.cpp